org.apache.struts2.interceptor

## Class I18nInterceptor.CookieLocaleHandler

- java.lang.Object
- - org.apache.struts2.interceptor.I18nInterceptor.RequestOnlyLocaleHandler
  - - org.apache.struts2.interceptor.I18nInterceptor.CookieLocaleHandler

- All Implemented Interfaces:
    I18nInterceptor.LocaleHandler
  Enclosing class:
    I18nInterceptor

      protected class I18nInterceptor.CookieLocaleHandler
      extends I18nInterceptor.RequestOnlyLocaleHandler

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.interceptor.I18nInterceptor.RequestOnlyLocaleHandler

      `actionInvocation, shouldStore`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `I18nInterceptor.CookieLocaleHandler(ActionInvocation invocation)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Locale` | `find()`
    `Locale` | `read(ActionInvocation invocation)`
    `Locale` | `store(ActionInvocation invocation, Locale locale)`

    - ### Methods inherited from class org.apache.struts2.interceptor.I18nInterceptor.RequestOnlyLocaleHandler

      `shouldStore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### I18nInterceptor.CookieLocaleHandler

          protected I18nInterceptor.CookieLocaleHandler(ActionInvocation invocation)

  - ### Method Detail

    - #### find

          public Locale find()

      Specified by:
        `find` in interface `I18nInterceptor.LocaleHandler`
      Overrides:
        `find` in class `I18nInterceptor.RequestOnlyLocaleHandler`

    - #### store

          public Locale store(ActionInvocation invocation,
                     Locale locale)

      Specified by:
        `store` in interface `I18nInterceptor.LocaleHandler`
      Overrides:
        `store` in class `I18nInterceptor.RequestOnlyLocaleHandler`

    - #### read

          public Locale read(ActionInvocation invocation)

      Specified by:
        `read` in interface `I18nInterceptor.LocaleHandler`
      Overrides:
        `read` in class `I18nInterceptor.RequestOnlyLocaleHandler`

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.